Package org.eclipse.m2m.atl.engine.vm

## Class ASMTextualWriter

- java.lang.Object
- - org.eclipse.m2m.atl.engine.vm.ASMWriter
  - - org.eclipse.m2m.atl.engine.vm.ASMTextualWriter

    public class ASMTextualWriter
    extends ASMWriter

Textual ATL VM bytecode serializer. There is no corresponding reader, but the resulting text makes it is easier to debug ATL compiler in some cases.

### Constructor Summary

Constructors
`ASMTextualWriter​(java.io.PrintWriter out)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `print​(ASM asm)`

### Methods inherited from class org.eclipse.m2m.atl.engine.vm.ASMWriter

`getConstantPool, getCPIndex`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ASMTextualWriter

    public ASMTextualWriter​(java.io.PrintWriter out)

### Method Detail

#### print

    public void print​(ASM asm)

Specified by:
  `print` in class `ASMWriter`